Index: npl/overig/pcre2/pcre2.SlackBuild
===================================================================
--- npl/overig/pcre2/pcre2.SlackBuild	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/pcre2/pcre2.SlackBuild	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,28 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/l/pcre2/
+# Created at Wed 01 Jun 2022 02:22:25 PM CEST
+#DEP:zlib
+#DEP:bzip2
+#DEP:readline
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./pcre2.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/overig/pcre2/pcre2.SlackBuild.orig
===================================================================
--- npl/overig/pcre2/pcre2.SlackBuild.orig	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/pcre2/pcre2.SlackBuild.orig	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,139 @@
+#!/bin/bash
+
+# Slackware build script for pcre2
+
+# Copyright 2016-2017  Larry Hajali <larryhaja[at]gmail[dot]com>
+# Copyright 2017, 2018  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=pcre2
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i586 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+  -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+  -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --docdir=/usr/doc/$PKGNAM-$VERSION \
+  --disable-silent-rules \
+  --enable-static=no \
+  --enable-pcre2-16 \
+  --enable-pcre2-32 \
+  --enable-jit \
+  --enable-pcre2grep-libz \
+  --enable-pcre2grep-libbz2 \
+  --enable-pcre2test-libreadline \
+  --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1 | grep -v '\.gz$') ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.?
+      )
+    done
+  )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+  AUTHORS COPYING* ChangeLog HACKING INSTALL LICENCE* NEWS* NON-AUTOTOOLS-BUILD README* \
+  $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/overig/pcre2/pcre2.arch
===================================================================
--- npl/overig/pcre2/pcre2.arch	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/pcre2/pcre2.arch	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/pcre2/pcre2.build
===================================================================
--- npl/overig/pcre2/pcre2.build	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/pcre2/pcre2.build	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/pcre2/pcre2.depver
===================================================================
--- npl/overig/pcre2/pcre2.depver	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/pcre2/pcre2.depver	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,3 @@
+zlib	0
+bzip2	1
+readline	1
Index: npl/overig/pcre2/pcre2.md5
===================================================================
--- npl/overig/pcre2/pcre2.md5	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/pcre2/pcre2.md5	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,8 @@
+d9e2ff67de400e1f390fa34659132187  ./pcre2-10.40.tar.lz
+e46868788e70af742509d34298c99e5d  ./pcre2_dev.pkg
+4e625976a0a4a62a98af84b18807ee11  ./pcre2.pkg
+6311f08c652b582170950c777c64fb83  ./pcre2.SlackBuild
+3f299804571072acf8528724c7ccc27d  ./pcre2.SlackBuild.log.gz
+753a0394ebc12c57680b2f019d3e65d6  ./pcre2.SlackBuild.orig
+11816a0b9556fb0ef6f47d68efec0688  ./pcre2.url
+1f99eddc9b2b5816487e13ac4dbe6f7f  ./slack-desc
Index: npl/overig/pcre2/pcre2.url
===================================================================
--- npl/overig/pcre2/pcre2.url	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/pcre2/pcre2.url	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+https://github.com/PhilipHazel/pcre2/releases
Index: npl/overig/pcre2/pcre2.version
===================================================================
--- npl/overig/pcre2/pcre2.version	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/pcre2/pcre2.version	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+10.40
Index: npl/overig/pcre2/pcre2_dev.arch
===================================================================
--- npl/overig/pcre2/pcre2_dev.arch	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/pcre2/pcre2_dev.arch	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/pcre2/pcre2_dev.build
===================================================================
--- npl/overig/pcre2/pcre2_dev.build	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/pcre2/pcre2_dev.build	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/pcre2/pcre2_dev.version
===================================================================
--- npl/overig/pcre2/pcre2_dev.version	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/pcre2/pcre2_dev.version	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+10.40
Index: npl/overig/pcre2/slack-desc
===================================================================
--- npl/overig/pcre2/slack-desc	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/pcre2/slack-desc	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+     |-----handy-ruler------------------------------------------------------|
+pcre2: pcre2 (Perl-compatible regular expression library v2)
+pcre2:
+pcre2: PCRE2 is a re-working of the original PCRE library to provide a
+pcre2: new and improved API.
+pcre2:
+pcre2: Homepage: http://www.pcre.org/
+pcre2:
+pcre2:
+pcre2:
+pcre2:
+pcre2:
